Bug 171229 - %postun error(s)
%postun error(s)
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: docbook-dtds (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-19 14:36 EDT by Rex Dieter
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 1.0-29
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-21 11:54:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-10-19 14:36:02 EDT
$ rpm -e docbook-dtds openjade
Failed to remove entry from /etc/sgml/catalog
/var/tmp/rpm-tmp.15271: line 59: [: : integer expression expected

It appears the section of %%postun is in the if:

CATALOG=/etc/sgml/catalog
SGML=$(cat -n ${CATALOG} | grep sgml-docbook | head -1 | (read n line;echo $n))
XML=$(cat -n ${CATALOG} | grep xml-docbook | head -1 | (read n line; echo $n))
# Do they need switching around?
if [ "${XML}" -lt "${SGML}" ]

In that sometimes either SGML or XML end up being empty/blank when it probably
ought to be considerred to be 0.
Comment 1 Tim Waugh 2005-10-21 11:54:00 EDT
Thanks.  Fixed in 1.0-29.  Actually they shouldn't be taken to be zero; just the
test should not be made if either is nul.

Note You need to log in before you can comment on or make changes to this bug.